Bug 169650 - Kde ACPI functions and ACPI helper do not work
Kde ACPI functions and ACPI helper do not work
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-30 12:47 EDT by Guilherme Fonseca
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-05 02:10:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Guilherme Fonseca 2005-09-30 12:47:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
KDE laptop functions do not work. All boxes are disabled in ACPI Config tab and klaptop_acpi_helper has the right permissions. If I manually run klaptop_acpi_helper --suspend, nothing happens, even as root. If I run "echo mem >/sys/power/state" as root, it suspends just fine.

Broken on kernels: 2.6.12-1.1447_FC4, 2.6.12-1.1456_FC4, 2.6.13-1.1526_FC4.
Works on: 2.6.12-1.1398_FC4

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Right click klaptop icon on system tray.
2. Click Configure Klaptop.
3. Click ACPI Config tab.
4. All boxes are disabled even after setup helper application.

Expected Results:  All boxes should be enabled, so I could check the suspend box.

Additional info:

My computer is an HP L2000 laptop, with AMD Turion 64 processor.

Note You need to log in before you can comment on or make changes to this bug.